Skip to main content
POST
Create key

Authorizations

Authorization
string
header
required

Use key ID and key secret obtained in ClickHouse Cloud console: https://clickhouse.com/docs/cloud/manage/openapi

Path Parameters

organizationId
string<uuid>
required

ID of the organization that will own the key.

Body

application/json
name
string

Name of the key.

expireAt
string<date-time> | null

Timestamp the key expires. If not present, null or is empty the key never expires. ISO-8601.

state
enum<string>

Initial state of the key: 'enabled', 'disabled'. If not provided the new key will be 'enabled'.

Available options:
enabled,
disabled
hashData
object
roles
enum<string>[]

List of roles assigned to the key. Contains at least 1 element.

Available options:
admin,
developer,
query_endpoints
ipAccessList
object[]

List of IP addresses allowed to access the API using this key

Response

Successful response

status
number

HTTP status code.

Example:

200

requestId
string<uuid>

Unique id assigned to every request. UUIDv4

result
object
Last modified on July 2, 2026